Generation Framework

## org.eclipse.gmf.gmfgraph
Enum Direction

    java.lang.Object
      java.lang.Enum<Direction>
          org.eclipse.gmf.gmfgraph.Direction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Direction>, org.eclipse.emf.common.util.Enumerator

    public enum Direction

extends java.lang.Enum<Direction>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Direction', and utility methods for working with them. Geographical bit constants from org.eclipse.draw2d.PositionConstants

See Also:
  `GMFGraphPackage.getDirection()`
** Generated **
Model:

Enum Constant Summary
`EAST_LITERAL` The 'EAST' literal object
`EAST_WEST_LITERAL` The 'EAST WEST' literal object
`NONE_LITERAL` The 'NONE' literal object
`NORTH_EAST_LITERAL` The 'NORTH EAST' literal object
`NORTH_LITERAL` The 'NORTH' literal object
`NORTH_SOUTH_LITERAL` The 'NORTH SOUTH' literal object
`NORTH_WEST_LITERAL` The 'NORTH WEST' literal object
`NSEW_LITERAL` The 'NSEW' literal object
`SOUTH_EAST_LITERAL` The 'SOUTH EAST' literal object
`SOUTH_LITERAL` The 'SOUTH' literal object
`SOUTH_WEST_LITERAL` The 'SOUTH WEST' literal object
`WEST_LITERAL` The 'WEST' literal object

Field Summary
`static int` `EAST` The 'EAST' literal value
`static int` `EAST_WEST` The 'EAST WEST' literal value
`static int` `NONE` The 'NONE' literal value
`static int` `NORTH` The 'NORTH' literal value
`static int` `NORTH_EAST` The 'NORTH EAST' literal value
`static int` `NORTH_SOUTH` The 'NORTH SOUTH' literal value
`static int` `NORTH_WEST` The 'NORTH WEST' literal value
`static int` `NSEW` The 'NSEW' literal value
`static int` `SOUTH` The 'SOUTH' literal value
`static int` `SOUTH_EAST` The 'SOUTH EAST' literal value
`static int` `SOUTH_WEST` The 'SOUTH WEST' literal value
`static java.util.List<Direction>` `VALUES` A public read-only list of all the 'Direction' enumerators
`static int` `WEST` The 'WEST' literal value

Method Summary
`static Direction` `get(int value)` Returns the 'Direction' literal with the specified integer value
`static Direction` `get(java.lang.String literal)` Returns the 'Direction' literal with the specified literal value
`static Direction` `getByName(java.lang.String name)` Returns the 'Direction' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static Direction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Direction[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE_LITERAL

    public static final Direction NONE_LITERAL

  The 'NONE' literal object.

  See Also:
    `NONE`
  ** Generated **
  Ordered:

### NORTH_LITERAL

    public static final Direction NORTH_LITERAL

  The 'NORTH' literal object.

  See Also:
    `NORTH`
  ** Generated **
  Ordered:

### SOUTH_LITERAL

    public static final Direction SOUTH_LITERAL

  The 'SOUTH' literal object.

  See Also:
    `SOUTH`
  ** Generated **
  Ordered:

### WEST_LITERAL

    public static final Direction WEST_LITERAL

  The 'WEST' literal object.

  See Also:
    `WEST`
  ** Generated **
  Ordered:

### EAST_LITERAL

    public static final Direction EAST_LITERAL

  The 'EAST' literal object.

  See Also:
    `EAST`
  ** Generated **
  Ordered:

### NORTH_EAST_LITERAL

    public static final Direction NORTH_EAST_LITERAL

  The 'NORTH EAST' literal object.

  See Also:
    `NORTH_EAST`
  ** Generated **
  Ordered:

### NORTH_WEST_LITERAL

    public static final Direction NORTH_WEST_LITERAL

  The 'NORTH WEST' literal object.

  See Also:
    `NORTH_WEST`
  ** Generated **
  Ordered:

### SOUTH_EAST_LITERAL

    public static final Direction SOUTH_EAST_LITERAL

  The 'SOUTH EAST' literal object.

  See Also:
    `SOUTH_EAST`
  ** Generated **
  Ordered:

### SOUTH_WEST_LITERAL

    public static final Direction SOUTH_WEST_LITERAL

  The 'SOUTH WEST' literal object.

  See Also:
    `SOUTH_WEST`
  ** Generated **
  Ordered:

### NORTH_SOUTH_LITERAL

    public static final Direction NORTH_SOUTH_LITERAL

  The 'NORTH SOUTH' literal object.

  See Also:
    `NORTH_SOUTH`
  ** Generated **
  Ordered:

### EAST_WEST_LITERAL

    public static final Direction EAST_WEST_LITERAL

  The 'EAST WEST' literal object.

  See Also:
    `EAST_WEST`
  ** Generated **
  Ordered:

### NSEW_LITERAL

    public static final Direction NSEW_LITERAL

  The 'NSEW' literal object.

  See Also:
    `NSEW`
  ** Generated **
  Ordered:

Field Detail

### NONE

    public static final int NONE

  The 'NONE' literal value.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NORTH

    public static final int NORTH

  The 'NORTH' literal value.

  If the meaning of 'NORTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NORTH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SOUTH

    public static final int SOUTH

  The 'SOUTH' literal value.

  If the meaning of 'SOUTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SOUTH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### WEST

    public static final int WEST

  The 'WEST' literal value.

  If the meaning of 'WEST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### EAST

    public static final int EAST

  The 'EAST' literal value.

  If the meaning of 'EAST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EAST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NORTH_EAST

    public static final int NORTH_EAST

  The 'NORTH EAST' literal value.

  If the meaning of 'NORTH EAST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NORTH_EAST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NORTH_WEST

    public static final int NORTH_WEST

  The 'NORTH WEST' literal value.

  If the meaning of 'NORTH WEST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NORTH_WEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SOUTH_EAST

    public static final int SOUTH_EAST

  The 'SOUTH EAST' literal value.

  If the meaning of 'SOUTH EAST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SOUTH_EAST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SOUTH_WEST

    public static final int SOUTH_WEST

  The 'SOUTH WEST' literal value.

  If the meaning of 'SOUTH WEST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SOUTH_WEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NORTH_SOUTH

    public static final int NORTH_SOUTH

  The 'NORTH SOUTH' literal value.

  If the meaning of 'NORTH SOUTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NORTH_SOUTH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### EAST_WEST

    public static final int EAST_WEST

  The 'EAST WEST' literal value.

  If the meaning of 'EAST WEST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EAST_WEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NSEW

    public static final int NSEW

  The 'NSEW' literal value.

  If the meaning of 'NSEW' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NSEW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<Direction> VALUES

  A public read-only list of all the 'Direction' enumerators.

  ** Generated **

Method Detail

### values

    public static final Direction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Direction c : Direction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Direction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static Direction get(java.lang.String literal)

  Returns the 'Direction' literal with the specified literal value.

  ** Generated **

### getByName

    public static Direction getByName(java.lang.String name)

  Returns the 'Direction' literal with the specified name.

  ** Generated **

### get

    public static Direction get(int value)

  Returns the 'Direction' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<Direction>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.